Bug 1988737 - Please update to OpenSceneGraph 3.6.5
Summary: Please update to OpenSceneGraph 3.6.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: OpenSceneGraph
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-31 16:15 UTC by Sandro Mani
Modified: 2021-12-24 17:17 UTC (History)
3 users (show)

Fixed In Version: OpenSceneGraph-3.6.5-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 08:23:25 UTC
Type: Bug


Attachments (Terms of Use)
Proposed OpenSceneGraph.spec file (35.12 KB, text/plain)
2021-09-29 18:05 UTC, Eric Sokolowsky
no flags Details
Updated patch to fix cmake files for OpenSceneGraph 3.6.5. (4.09 KB, patch)
2021-09-29 18:06 UTC, Eric Sokolowsky
no flags Details | Diff
Updated patch to reactivate osgviewerWX in OpenSceneGraph 3.6.5. (752 bytes, patch)
2021-09-29 18:08 UTC, Eric Sokolowsky
no flags Details | Diff
Updated patch to fix DOT_FONTNAME in the cmake files. (1.82 KB, patch)
2021-09-29 18:09 UTC, Eric Sokolowsky
no flags Details | Diff
Updated patch to add osgframerenderer example. (614 bytes, patch)
2021-09-29 18:10 UTC, Eric Sokolowsky
no flags Details | Diff
Updated patch to force x11 instead of wayland. (614 bytes, patch)
2021-09-29 18:11 UTC, Eric Sokolowsky
no flags Details | Diff
Updated patch to fix asio support. (3.75 KB, patch)
2021-09-29 18:11 UTC, Eric Sokolowsky
no flags Details | Diff

Description Sandro Mani 2021-07-31 16:15:16 UTC
The OpenSceneGraph release in Fedora is about 4 years old, please upgrade to the latest stable release 3.6.5.

Comment 1 Ben Cotton 2021-08-10 13:33:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 2 Eric Sokolowsky 2021-09-29 18:05:02 UTC
Created attachment 1827437 [details]
Proposed OpenSceneGraph.spec file

Here is a proposed updated OpenSceneGraph.spec file to update the OSG version to 3.6.5. Some of the patches in the current version (targeting OpenSceneGraph 3.4.1) no longer apply because either the affected code has been removed or the patches have already been applied. I will be submitting rebased patch files also (6 patch files in total).

Comment 3 Eric Sokolowsky 2021-09-29 18:06:54 UTC
Created attachment 1827438 [details]
Updated patch to fix cmake files for OpenSceneGraph 3.6.5.

This patch file replaces the corresponding patch that was applied to OpenSceneGraph 3.4.1.

Comment 4 Eric Sokolowsky 2021-09-29 18:08:03 UTC
Created attachment 1827439 [details]
Updated patch to reactivate osgviewerWX in OpenSceneGraph 3.6.5.

This file replaces the corresponding patch file applied to OpenSceneGraph 3.4.1.

Comment 5 Eric Sokolowsky 2021-09-29 18:09:24 UTC
Created attachment 1827440 [details]
Updated patch to fix DOT_FONTNAME in the cmake files.

This patch file replaces the corresponding patch applied to OpenSceneGraph 3.4.1.

Comment 6 Eric Sokolowsky 2021-09-29 18:10:15 UTC
Created attachment 1827441 [details]
Updated patch to add osgframerenderer example.

This patch file replaces the corresponding patch applied to OpenSceneGraph 3.4.1.

Comment 7 Eric Sokolowsky 2021-09-29 18:11:18 UTC
Created attachment 1827442 [details]
Updated patch to force x11 instead of wayland.

This patch file replaces the corresponding patch applied to OpenSceneGraph 3.4.1.

Comment 8 Eric Sokolowsky 2021-09-29 18:11:51 UTC
Created attachment 1827443 [details]
Updated patch to fix asio support.

This patch file replaces the corresponding patch applied to OpenSceneGraph 3.4.1.

Comment 9 Zbigniew Jędrzejewski-Szmek 2021-11-09 22:35:53 UTC
Eric, if it's not too much trouble, could you also submit this a pull request under https://src.fedoraproject.org/rpms/OpenSceneGraph? "attachments on bugzilla" is a really outdated workflow and it's hard to even see what the changes are.

Comment 10 Eric Sokolowsky 2021-11-11 15:27:39 UTC
I don't know how to submit a pull request. I assume that means I have to copy some git repository somewhere, but I don't use git. I'll have to learn how to do all of this. Can you point me to a tutorial?

Comment 11 Zbigniew Jędrzejewski-Szmek 2021-11-11 18:24:29 UTC
If you are not a git user, then this would be a lot of learning for you. I made a suggestion based on the assumption that you are familiar with the workflow and can do the whole thing in two minutes. Feel free to ignore the request. If you want to take a look, https://docs.fedoraproject.org/en-US/ci/pull-requests/ has a description of the parts that are specific to Fedora dist-git, and https://www.digitalocean.com/community/tutorials/how-to-create-a-pull-request-on-github has a decent tutorial on git pull requests in general.

Comment 12 Sandro Mani 2021-11-12 11:44:09 UTC
Eric, I'm happy to submit the patch as a PR if you'd like

Comment 13 Sandro Mani 2021-11-13 22:29:15 UTC
Taking care of this.

Comment 14 Fedora Update System 2021-11-16 08:23:25 UTC
FEDORA-2021-9c924b1c65 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Eric Sokolowsky 2021-12-24 17:17:31 UTC
Sandro, thanks for doing this. I have put the changes into a git repository on github if that would be useful. It will be useful to me at any rate even if you've already done the work to get the patches back into Fedora. You can do what you want with this: https://github.com/esok/OpenSceneGraph. It's about time we updated to the latest OpenSceneGraph (I was also maintaining a private repo while waiting for it to get updated).


Note You need to log in before you can comment on or make changes to this bug.